summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-15 17:05:48 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-15 17:05:48 +0000
commita37dd2e6d019848f71708669e647cb8d104957a0 (patch)
tree8ff3e53319a2ef250dabdbfe8a07656e3e2ef68f /jenkins
parentba7fd848968c548113372ecc02c76469708c79c7 (diff)
onsuccess: #796: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1161
-rw-r--r--jenkins/notify-init.log309
-rw-r--r--jenkins/run-build.env8
4 files changed, 179 insertions, 1301 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index a7135f3..59c6c6d 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#795-glibc-R1
+#796-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index ac7ad65..ad60a5c 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -26,15 +26,15 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/794/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/794/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/'
# Using dir : artifacts
+ echo '# Using dir : artifacts'
@@ -45,8 +45,8 @@
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x323f367cc46b80224d39b082adf7be74b49ed843 '!=' x8f22e36238c94e2a89da624e03c224895f9dd691 ']'
+++ '[' x0575073dda99169e61b0201225078c364a3980f5 '!=' x323f367cc46b80224d39b082adf7be74b49ed843 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=323f367cc46b80224d39b082adf7be74b49ed843
++ first_bad=0575073dda99169e61b0201225078c364a3980f5
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=8f22e36238c94e2a89da624e03c224895f9dd691
++ last_good=323f367cc46b80224d39b082adf7be74b49ed843
+ local res
+ res=0
-+ wait 62377
++ wait 63104
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8f22e36238c94e2a89da624e03c224895f9dd691
++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=323f367cc46b80224d39b082adf7be74b49ed843
-++ git -C glibc rev-parse '323f367cc46b80224d39b082adf7be74b49ed843^@'
++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
+++ git -C glibc rev-parse '0575073dda99169e61b0201225078c364a3980f5^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 8f22e36238c94e2a89da624e03c224895f9dd691 = 8f22e36238c94e2a89da624e03c224895f9dd691 ']'
-+ return 0
-+ change_kind=single_commit
++ '[' 578190b7e43305141512dee777e4a3b3e8159393 = 323f367cc46b80224d39b082adf7be74b49ed843 ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_commit : glibc
-+ echo '# change_kind=single_commit : glibc'
+# change_kind=single_component : glibc
++ echo '# change_kind=single_component : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8f22e36238c94e2a89da624e03c224895f9dd691
++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=323f367cc46b80224d39b082adf7be74b49ed843
-++ git -C glibc rev-list --count 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843
-+ c_commits=1
-+ echo '# rev for glibc : 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843 (1 commits)'
-# rev for glibc : 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843 (1 commits)
++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
+++ git -C glibc rev-list --count 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
++ c_commits=3
+# rev for glibc : 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5 (3 commits)
++ echo '# rev for glibc : 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5 (3 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -174,261 +174,8 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 62457
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=5a513f91
-++ '[' 0 -ne 0 ']'
-++ echo 5a513f91
-+ sha1=5a513f91
-+ git -C interesting-commits checkout --detach 5a513f91
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- e30c626f Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> e30c626f
-
-HEAD is now at 5a513f91 Add entry 5c432b0efab54e81e11de7f5ec26d371a55d48e7 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m23_eabi-build/197/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ subdir3=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-+ subdir4=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build master-aarch64
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843 ']'
-+ mkdir -p interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
-+ mkdir -p interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo 8f22e36238c94e2a89da624e03c224895f9dd691
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
-[detached HEAD d9974f27] Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
- 3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/last_good
-+ wait 75003
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -437,577 +184,15 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ isubdir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url ']'
-+ local first_url
-++ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/ ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
+ set -euf -o pipefail
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 75073
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=5a513f91
-++ '[' 0 -ne 0 ']'
-++ echo 5a513f91
-+ sha1=5a513f91
-+ git -C interesting-commits checkout --detach 5a513f91
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- d9974f27 Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> d9974f27
-
-HEAD is now at 5a513f91 Add entry 5c432b0efab54e81e11de7f5ec26d371a55d48e7 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m23_eabi-build/197/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-+ local stage=full
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ subdir3=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-+ subdir4=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build master-aarch64
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843 ']'
-+ mkdir -p interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
-+ mkdir -p interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo 8f22e36238c94e2a89da624e03c224895f9dd691
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/last_good
-+ '[' full '!=' full ']'
-+ gnu_print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ case "$print_arg" in
-+ '[' 0 = 0 ']'
-+ echo Success
-+ return 0
-+ merge_status_summary interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ merge_status_summary interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843 -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status-summary.txt
-+ gnu_print_result --long
-+ false
-+ local print_arg=--long
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --long
-+ false
-+ local print_arg=--long
-+ case "$print_arg" in
-+ echo 'Results changed to'
-++ cat artifacts/results
-+ echo '# reset_artifacts:
--10
-# init_abe_sysroot:
-0
-# build_abe glibc -- --disable install:
-1'
-+ echo ''
-+ echo From
-++ cat base-artifacts/results
-+ echo '# reset_artifacts:
--10
-# init_abe_sysroot:
-0
-# build_abe glibc -- --disable install:
-1'
-+ return 0
-+ sed 's/^/* /'
-+ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ print_icommits_link glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/details.txt
-+ set -euf -o pipefail
-+ local path=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/details.txt
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/details.txt
-+ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status.txt
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/summary.txt ']'
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/794/artifact/artifacts
-+ cat
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-+ local ci_config
-+ read ci_config
-++ cd interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ ls
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status.txt ']'
-+ echo '* master-aarch64'
-+ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status.txt
-+ sed 's/^/*/'
-+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status.txt
-+ local ci_project
-+ read ci_project
-++ cd interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ ls
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status.txt ']'
-+ echo '* tcwg_glibc_build'
-+ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status.txt
-+ sed 's/^/*/'
-+ read ci_project
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status.txt
-+ print_commits --short
-+ set -euf -o pipefail
-+ false
-+ local print_arg=--short
-+ '[' single_commit = no_change ']'
-+ local more_lines
-+ '[' single_commit = single_commit ']'
-+ local c=glibc
-+ '[' --short = --link ']'
-+ local describe
-+ '[' '' = '' ']'
-++ describe_sha1 glibc 323f367cc46b80224d39b082adf7be74b49ed843 true
-++ local component=glibc
-++ local sha1=323f367cc46b80224d39b082adf7be74b49ed843
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C glibc describe 323f367cc46b80224d39b082adf7be74b49ed843
-+ describe=glibc-2.38.9000-255-g323f367cc4
-++ echo glibc-2.38.9000-255-g323f367cc4
-++ sed 's,^basepoints/,,'
-+ describe=glibc-2.38.9000-255-g323f367cc4
-+ '[' --short = --oneline ']'
-+ '[' '' = '' ']'
-+ echo 'commit glibc-2.38.9000-255-g323f367cc4'
-+ local tmpfile
-++ mktemp
-+ tmpfile=/tmp/tmp.XVlh3EsOfi
-+ git -C glibc log -n1 323f367cc46b80224d39b082adf7be74b49ed843
-+ tail -n +2
-+ head -n 10 /tmp/tmp.XVlh3EsOfi
-++ cat /tmp/tmp.XVlh3EsOfi
-++ wc -l
-+ more_lines=-6
-+ '[' -6 -gt 0 ']'
-+ rm /tmp/tmp.XVlh3EsOfi
-+ '[' '' '!=' '' ']'
-+ return 0
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/commit-log.txt
-+ true
-+ local jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-+ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/key ']'
-+ '[' -e interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira ']'
-+ mkdir interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-+ '[' '' '!=' '' ']'
-++ print_commits --oneline
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc 323f367cc46b80224d39b082adf7be74b49ed843 true
-+++ local component=glibc
-+++ local sha1=323f367cc46b80224d39b082adf7be74b49ed843
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe 323f367cc46b80224d39b082adf7be74b49ed843
-++ describe=glibc-2.38.9000-255-g323f367cc4
-+++ echo glibc-2.38.9000-255-g323f367cc4
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-255-g323f367cc4
-++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-255-g323f367cc4
-++ return 0
-++ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status-summary.txt
-+ echo glibc-2.38.9000-255-g323f367cc4: Success
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/summary
-+ cat
-++ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/commit-log.txt
-++ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status.txt
-++ print_icommits_link glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/yaml
-++ set -euf -o pipefail
-++ local path=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/yaml
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/yaml
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/description
-+ update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-# update_jira_card
-+ local jira_dir
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-+ components=()
-+ local -a components
-+ case "$changed_single_component" in
-+ components+=(Glibc)
-+ IFS=,
-+ echo Glibc
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/components
-+ local commit_date
-++ git -C glibc log -n1 --pretty=%cd --date=iso 323f367cc46b80224d39b082adf7be74b49ed843
-+ commit_date='2023-11-14 23:55:35 +0100'
-+ date -d '2023-11-14 23:55:35 +0100' +%Y-%m-%d
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-++ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/key'
-WARNING: no existing jira card interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/key
-+ return 0
-+ local describe
-++ describe_sha1 glibc 323f367cc46b80224d39b082adf7be74b49ed843 false
-++ local component=glibc
-++ local sha1=323f367cc46b80224d39b082adf7be74b49ed843
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C glibc describe 323f367cc46b80224d39b082adf7be74b49ed843
-+ describe=glibc-2.38.9000-255-g323f367cc4
-+ '[' glibc-2.38.9000-255-g323f367cc4 '!=' '' ']'
-+ local d
-++ dirname glibc-2.38.9000-255-g323f367cc4
-+ d=.
-+ mkdir -p interesting-commits/glibc/.
-+ local symlink=
-+ '[' . '!=' . ']'
-+ symlink=sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ rm -f interesting-commits/glibc/glibc-2.38.9000-255-g323f367cc4
-+ ln -s sha1/323f367cc46b80224d39b082adf7be74b49ed843 interesting-commits/glibc/glibc-2.38.9000-255-g323f367cc4
-+ git -C interesting-commits add glibc/glibc-2.38.9000-255-g323f367cc4
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
-[detached HEAD c61cefcf] Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
- 17 files changed, 70 insertions(+)
- create mode 120000 glibc/glibc-2.38.9000-255-g323f367cc4
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/commit-log.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/components
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/description
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/startdate
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/summary
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status-summary.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/details.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/last_good
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status-summary.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/status.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status-summary.txt
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/status.txt
-+ wait 87936
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -1017,23 +202,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ isubdir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ case "$print_arg" in
-++ echo interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ icommit_entry=interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ '[' interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843 '!=' '' ']'
-+ '[' -d interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira ']'
-+ rsync -a interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return 0
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -1057,11 +230,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/artifact/artifacts/notify/mail-body.txt/*view*/'
-# print all notification files
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/artifact/artifacts/notify/mail-body.txt/*view*/'
+ echo '# print all notification files'
+# print all notification files
+ true
+ generate_mail_files
+ set -euf -o pipefail
@@ -1082,15 +255,19 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8f22e36238c94e2a89da624e03c224895f9dd691
++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
++ read -r email
+++ git -C glibc log --pretty=%ae 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
+ read -r email
-++ git -C glibc log --pretty=%ae 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1101,15 +278,19 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8f22e36238c94e2a89da624e03c224895f9dd691
++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
++ read -r email
+++ git -C glibc log --pretty=%ce 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
+ read -r email
-++ git -C glibc log --pretty=%ce 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1128,37 +309,57 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
++ type=cc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=cc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
+ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,samuel.thibault@ens-lyon.org
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,cc:andreas@gaisler.com,cc:gael.portay@rtone.fr,adhemerval.zanella@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc 323f367cc46b80224d39b082adf7be74b49ed843 true
-+++ local component=glibc
-+++ local sha1=323f367cc46b80224d39b082adf7be74b49ed843
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe 323f367cc46b80224d39b082adf7be74b49ed843
-++ describe=glibc-2.38.9000-255-g323f367cc4
-+++ echo glibc-2.38.9000-255-g323f367cc4
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-255-g323f367cc4
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
++++ git -C glibc rev-list --count 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
+++ c_commits=3
+++ new_commits=3
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '3 commits in glibc'
++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-255-g323f367cc4
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1195,17 +396,17 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-255-g323f367cc4: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' '3 commits in glibc: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/794/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
@@ -1231,39 +432,56 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --short = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc 323f367cc46b80224d39b082adf7be74b49ed843 true
-+++ local component=glibc
-+++ local sha1=323f367cc46b80224d39b082adf7be74b49ed843
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe 323f367cc46b80224d39b082adf7be74b49ed843
-++ describe=glibc-2.38.9000-255-g323f367cc4
-+++ echo glibc-2.38.9000-255-g323f367cc4
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-255-g323f367cc4
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
++++ git -C glibc rev-list --count 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
+++ c_commits=3
+++ new_commits=3
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '3 commits in glibc'
++ '[' --short = --oneline ']'
-++ '[' '' = '' ']'
-++ echo 'commit glibc-2.38.9000-255-g323f367cc4'
-++ local tmpfile
-+++ mktemp
-++ tmpfile=/tmp/tmp.RgJTUOpix7
-++ git -C glibc log -n1 323f367cc46b80224d39b082adf7be74b49ed843
-++ tail -n +2
-++ head -n 10 /tmp/tmp.RgJTUOpix7
-+++ cat /tmp/tmp.RgJTUOpix7
-+++ wc -l
-++ more_lines=-6
-++ '[' -6 -gt 0 ']'
-++ rm /tmp/tmp.RgJTUOpix7
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
++++ git -C glibc rev-list --count 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
+++ c_commits=3
+++ '[' '' '!=' '' ']'
+++ git -C glibc log -n 5 --oneline 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
+++ '[' 3 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1315,93 +533,8 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_commit '!=' single_commit ']'
-+ '[' '' '!=' '' ']'
-+ local key
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-++ '[' -f interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ echo GNU-692
-+ key=GNU-692
-+ cat
-++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--reproduction_instructions_link
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build master-aarch64
-+++ local dir=glibc/sha1
-+++ '[' 4 -ge 2 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+++ '[' 4 -ge 3 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-+++ '[' 4 -ge 4 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-++ isubdir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-++ case "$print_arg" in
-++ print_icommits_link glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-++ set -euf -o pipefail
-++ local path=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git glibc_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_url
-++ url=git://sourceware.org/git/glibc.git
-++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
-++ url=glibc.git
-++ url='https://sourceware.org/git/?p=glibc.git'
-++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=323f367cc46b80224d39b082adf7be74b49ed843'
-++ return 0
-++ print_last_icommit --status
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--status
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ isubdir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ case "$print_arg" in
-++ cat interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/status.txt
++ '[' single_component '!=' single_commit ']'
++ return
# generate dashboard
# generate_dashboard_squad
... Skipping
@@ -1420,18 +553,18 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 88059
++ wait 63248
+ set -euf -o pipefail
+ echo '# generate_lnt_report'
-# generate_lnt_report
+ true
+# generate_lnt_report
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/lnt-utils.sh
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 6c40687..aca5ba4 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -21,23 +21,23 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/794/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/794/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/796/'
# Using dir : artifacts
-
+ echo '# Using dir : artifacts'
+
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -45,8 +45,8 @@
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x323f367cc46b80224d39b082adf7be74b49ed843 '!=' x8f22e36238c94e2a89da624e03c224895f9dd691 ']'
+++ '[' x0575073dda99169e61b0201225078c364a3980f5 '!=' x323f367cc46b80224d39b082adf7be74b49ed843 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=323f367cc46b80224d39b082adf7be74b49ed843
++ first_bad=0575073dda99169e61b0201225078c364a3980f5
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=8f22e36238c94e2a89da624e03c224895f9dd691
++ last_good=323f367cc46b80224d39b082adf7be74b49ed843
+ local res
+ res=0
-+ wait 49758
++ wait 62991
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8f22e36238c94e2a89da624e03c224895f9dd691
++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=323f367cc46b80224d39b082adf7be74b49ed843
-++ git -C glibc rev-parse '323f367cc46b80224d39b082adf7be74b49ed843^@'
++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
+++ git -C glibc rev-parse '0575073dda99169e61b0201225078c364a3980f5^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 8f22e36238c94e2a89da624e03c224895f9dd691 = 8f22e36238c94e2a89da624e03c224895f9dd691 ']'
-+ return 0
-+ change_kind=single_commit
++ '[' 578190b7e43305141512dee777e4a3b3e8159393 = 323f367cc46b80224d39b082adf7be74b49ed843 ']'
++ return 1
++ change_kind=single_component
+ echo '# Debug traces :'
# Debug traces :
-# change_kind=single_commit : glibc
-+ echo '# change_kind=single_commit : glibc'
+# change_kind=single_component : glibc
++ echo '# change_kind=single_component : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=8f22e36238c94e2a89da624e03c224895f9dd691
++ base_rev=323f367cc46b80224d39b082adf7be74b49ed843
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=323f367cc46b80224d39b082adf7be74b49ed843
-++ git -C glibc rev-list --count 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843
-+ c_commits=1
-# rev for glibc : 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843 (1 commits)
++ cur_rev=0575073dda99169e61b0201225078c364a3980f5
+++ git -C glibc rev-list --count 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5
++ c_commits=3
+# rev for glibc : 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5 (3 commits)
-+ echo '# rev for glibc : 8f22e36238c94e2a89da624e03c224895f9dd691..323f367cc46b80224d39b082adf7be74b49ed843 (1 commits)'
++ echo '# rev for glibc : 323f367cc46b80224d39b082adf7be74b49ed843..0575073dda99169e61b0201225078c364a3980f5 (3 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -174,263 +174,8 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 49838
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=5a513f91
-++ '[' 0 -ne 0 ']'
-++ echo 5a513f91
-+ sha1=5a513f91
-+ git -C interesting-commits checkout --detach 5a513f91
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 87a5d40e Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_check--master-aarch64-build/732/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 87a5d40e
-
-HEAD is now at 5a513f91 Add entry 5c432b0efab54e81e11de7f5ec26d371a55d48e7 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m23_eabi-build/197/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ jira_dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
- 58fc6c94..5a513f91 master -> baseline/master
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ subdir3=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-+ subdir4=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ interesting_subdir glibc 323f367cc46b80224d39b082adf7be74b49ed843 tcwg_glibc_build master-aarch64
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843 ']'
-+ mkdir -p interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
-+ mkdir -p interesting-commits/glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo 8f22e36238c94e2a89da624e03c224895f9dd691
-+ git -C interesting-commits add glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/'
-[detached HEAD e30c626f] Add entry 323f367cc46b80224d39b082adf7be74b49ed843 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/795/
- 3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/first_url
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/323f367cc46b80224d39b082adf7be74b49ed843/tcwg_glibc_build/master-aarch64/last_good
-+ wait 62286
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
Init stage ran successfully.
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index d452c72..0f8fdd4 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#795"
+build_name="#796"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-snow-02
+tcwg-jade-06
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#795-glibc"
+build_name="#796-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#795-glibc-R1"
+build_name="#796-glibc-R1"